package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/07 16:31
 */
@NoArgsConstructor
@Data
@ApiModel(value = "路口车道数据实体", description = "路口车道数据实体")
public class HotspotCrossLaneVO {
    private String crossId;
    private Integer dir;
    private Date timeStamp;
    private String hourMinute;
    private List<HotspotCrossLaneVO.LaneDetail> turnList;

    @Data
    public static class LaneDetail {
        private String laneId;
        private Double queueLength;
        private Integer flow;
    }
}
